:root {
  --primary-color: #3d012b;
  --secondary-color: #88005f;
  --max-width: 1100px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font: normal 1rem/1.5 "Arial", sans-serif;
  background: var(--primary-color);
  color: white;
  overflow-x: hidden;
  padding-bottom: 50px;
}

#main-header {
  background: var(--secondary-color);
  padding: 3rem;
}

#main-header .container {
  max-width: var(--max-width);
  margin: 0 auto;
  text-align: center;
}

h1 {
  font-size: 3rem;
}

#timeline ul {
  background: var(--primary-color);
  padding: 50px 0;
}

/* Separation line */
#timeline ul li {
  list-style: none;
  position: relative;
  width: 6px;
  margin: 0 auto;
  padding-top: 50px;
  background: white;
}

/* Boxes */
#timeline ul li div {
  position: relative;
  bottom: 0;
  width: 400px;
  padding: 1rem;
  background: var(--secondary-color);
  transition: all 1s ease-in-out;
  visibility: hidden;
  opacity: 0;
}

/* Right Side */
#timeline ul li:nth-child(odd) div {
  left: 32px;
  transform: translateX(200px);
}

/* Left Side */
#timeline ul li:nth-child(even) div {
  left: -426px;
  transform: translateX(-200px);
}

/* Show Boxes */
#timeline ul li.show div {
  transform: none;
  visibility: visible;
  opacity: 1;
}

#timeline ul li.show::after {
  background: var(--secondary-color);
}

/* Dots */
#timeline ul li:after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: 0;
  width: 25px;
  height: 25px;
  background: inherit;
  transform: translateX(-50%);
  border-radius: 50%;
  transition: background 1s ease-in-out;
}

/* Arrows */
#timeline div:before {
  content: "";
  position: absolute;
  bottom: 5px;
  width: 0;
  height: 0;
  border-style: solid;
}

/* Right Arrows */
#timeline ul li:nth-child(odd) div:before {
  left: -15px;
  border-width: 8px 16px 8px 0;
  border-color: transparent var(--secondary-color) transparent transparent;
}

/* Left Arrows */
#timeline ul li:nth-child(even) div:before {
  right: -15px;
  border-width: 8px 0 8px 16px;
  border-color: transparent transparent transparent var(--secondary-color);
}